/**
 * WildCAT: A Generic Framework for Context-Aware Applications.
 * Copyright (C) 2009 Bull S.A.S.
 * Copyright (C) 2009 EMN
 * Copyright (C) 2009 IRISA
 * Contact: wildcat@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 */
package org.ow2.wildcat;

import com.espertech.esper.client.EventBean;
import com.espertech.esper.client.UpdateListener;

/**
 * Wildcat Update Listener : interface allowing to get new and old events from the
 * sliding window
 * 
 * @author Olivier Barais
 *
 */
public interface WUpdateListener extends UpdateListener {

	public EventBean[] getNewEvents();
	
	public EventBean[] getOldEvents();
}
